<template>
  <div class="container">
    <h2>{{ title }}</h2>
    <div v-html="body"> </div>
  </div>
</template>

<script>
    "use strict";

    export default {
        data() {
            return {
                title: null,
                body: null,
            }
        },
        created() {
            const postId = this.$route.params.identifier;
            const post = require(`./posts/${postId}.js`);
            this.title = post.default.title;
            this.body = post.default.body;
        }
    };
</script>

<style>
    .container {
    text-align: left;
    padding: 12px;
}
</style>
